precision lowp int; 
precision lowp float;

uniform sampler2D DiffuseMap;

varying lowp vec4 uvs;
varying lowp vec3 worldnormal;
varying lowp vec4 vertexcolour;


void main() 
{
    lowp vec4 fragCol = texture2D(DiffuseMap, uvs.xy) * vertexcolour;
    fragCol.xyz = fragCol.xyz * fragCol.a;
    gl_FragColor = fragCol;
	//gl_FragColor.a=1.0f;
}
